<?php
/**
  * Ahead WebSoft Technologies Pvt Ltd.
  * @copyright  Copyright 2006-2026 Ahead WebSoft Technologies Pvt Ltd.
  * @license    https://www.socialengine.com/policies
*/
interface Engine_Vfs_Object_Interface
{
  public function __construct(Engine_Vfs_Adapter_Interface $adapter, $path, $mode = 'r');

  public function getPath();

  public function getMode();
  
  public function getResource();

  public function getFileInfo();
  
  public function open($mode = 'r');

  public function end();

  public function flush();

  public function read($length);

  public function rewind();

  public function seek($offset, $whence = SEEK_SET);

  public function stat();

  public function tell();

  public function truncate($size);

  public function write($str, $length = null);
}
